"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var createMockedNetworkFetch = function createMockedNetworkFetch(createResponse, _ref) {
  var latency = _ref.latency;
  return function (uri, data) {
    var settings = {
      latency: latency ? parseInt(latency, 10) : null
    };

    var response = createResponse(JSON.parse(data.body));
    var responsePromise = function responsePromise() {
      return new Promise(function (fullfil) {
        fullfil(JSON.stringify(response));
      });
    };
    return new Promise(function (fullfil) {
      if (!settings.latency) return fullfil({ text: responsePromise }); // resolve immediatelly
      return setTimeout(function () {
        return fullfil({ text: responsePromise });
      }, settings.latency); // simulate network latency
    });
  };
};

exports.default = createMockedNetworkFetch;
module.exports = exports["default"];